Subject: Re: Oops in mpc52xx_uart_init (2.6.34-rc5)

From: Anatolij Gustschin <[email-masked]>
Date: Tue, 4 May 2010 23:14:18 +0200

On Tue, 4 May 2010 17:39:25 -0300
Leonardo Chiquitto <[email-masked]> wrote:

> Kernel 2.6.34-rc5 crashes on boot in a ppc32 machine (Mac Mini G4).
> 
> Reverting the following commit makes the kernel boot normally again:
> 
> commit 6acc6833510db8f72b5ef343296d97480555fda9
> Author: Anatolij Gustschin <[email-masked]>
> Date:   Tue Feb 16 22:30:03 2010 -0700
> 
>     serial: mpc52xx_uart: re-enable mpc5121 PSC UART support
> 
> I'm attaching a photo with the panic message and call trace (I apologize
> for the poor image quality and cropped left border). Please let me know if I
> can provide any other info to help debugging this issue.

Thanks for the bug report! This info is enough, I will submit a
fix soon.

Thanks,
Anatolij